Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::SlotNode Class Reference

A node class for managing slots connected to Inti::Signal's. More...

`#include <inti/signals.h>`

Inheritance diagram for Inti::SlotNode:

List of all members.

## Public Member Functions

- bool blocked () const
    Returns true if the slot is blocked.
- virtual void block ()
    Block signal emission to the slot until unblock is called.
- virtual void unblock ()
    Unblock the slot so signal emmissions can be received.
- virtual void disconnect ()
    Disconnect the slot. The slot will no longer recieve signal emissions.

## Detailed Description

A node class for managing slots connected to Inti::Signal's.

The documentation for this class was generated from the following file:

- signals.h

Main Page - Footer